Crashpad

Macros
arraysize_unsafe.h File Reference

## Macros
#define | ARRAYSIZE_UNSAFE(array) (sizeof(array) / sizeof(array[0]))
| Not the safest way of computing an array’s size… More...

## Macro Definition Documentation

## ◆ ARRAYSIZE_UNSAFE

#define ARRAYSIZE_UNSAFE | ( |  | array | ) | (sizeof(array) / sizeof(array[0]))

Not the safest way of computing an array’s size…

`#include "base/macros.h"` and use its `arraysize()` instead. This macro should only be used in rare situations where `arraysize()` does not function.